Skip to main content
POST
/
integrations
/
candidates
/
interviews
Create a candidate interview session
curl --request POST \
  --url https://turing.gomu.ai/api/v1/integrations/candidates/interviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "example@gmail.com",
  "interview_type": "STEM"
}
'
{
  "interview_id": "4eb9f086-f9ce-4da8-925c-32f6b6baz44c_3173e43c-4066-48ce-a657-e505608b9b74",
  "candidate_id": "3173e43c-4066-48ce-1657-e505608b9b74",
  "iframe_url": "https://turing.qode.world/interview/1ubRv",
  "expires_at": "2025-12-07T15:34:37.464Z",
  "email": "example@gmail.com",
  "talent_id": "TUR-001",
  "completion_status": "SCHEDULED",
  "session_id": "4e9e55ee-63f3-4c04-87ec-82a1823a538d"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<email>
required
Example:

"example@gmail.com"

interview_type
enum<string>
required
Available options:
STEM,
NON_STEM,
SOFTWARE_ENGINEER,
DOCKER_INTERVIEW,
DATA_SCIENTIST,
SENIOR_STAFF_ML,
RETAIL_OPERATOR,
FINANCIAL_EXPERT,
MATERIAL_EXPERT,
MEDICAL_EXPERT,
BUSINESS_ANALYST,
MULTI_BUSINESS_ANALYST,
BUSINESS_ANALYST_MCQ,
SOFTWARE_ENGINEER_CODING
Example:

"STEM"

talent_id
string
Example:

"TUR-001"

name
string
Example:

"Alan Turing"

resume_url
string<uri>
Example:

"https://drive.google.com/file/d/1gEUDsZ1cyf0JZ-BFyTk5macyQTjh8trX/view?usp=sharing"

role_title
string
Example:

"Subject Matter Expert"

language
enum<string>

zh‑Chinese, da‑Danish, nl‑Dutch, en‑English, fi‑Finnish, fr‑French, de‑German, id‑Indonesian, hi‑Hindi, it‑Italian, ja‑Japanese, ko‑Korean, ms‑Malay, no‑Norwegian, pt‑Portuguese, ru‑Russian, es‑Spanish, sv‑Swedish, th‑Thai, vi‑Vietnamese

Available options:
en,
zh,
es,
fr,
de,
pt,
it,
nl,
ja,
ko,
da,
no,
sv,
vi,
hi,
fi,
ms,
th,
ru,
id
Example:

"en"

metadata
object
Example:
{ "req_id": "AS-2025H1" }

Response

200 - application/json

Interview session created successfully

interview_id
string
Example:

"4eb9f086-f9ce-4da8-925c-32f6b6baz44c_3173e43c-4066-48ce-a657-e505608b9b74"

candidate_id
string
Example:

"3173e43c-4066-48ce-1657-e505608b9b74"

iframe_url
string<uri>
Example:

"https://turing.qode.world/interview/1ubRv"

expires_at
string<date-time>
Example:

"2025-12-07T15:34:37.464Z"

email
string<email>
Example:

"example@gmail.com"

talent_id
string | null

The talent ID associated with this interview. Returns null if not provided during creation.

Example:

"TUR-001"

completion_status
enum<string>

Current status of the interview.

Available options:
SCHEDULED,
STARTED,
NO_SHOW,
CANDIDATE_DROP_OFF,
TECHNICAL_GLITCH,
INTERVIEW_COMPLETED,
REPORT_GENERATED,
CANDIDATE_ABORTED
Example:

"SCHEDULED"

session_id
string | null

ID of an interview session

Example:

"4e9e55ee-63f3-4c04-87ec-82a1823a538d"